OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.RasterPos

Description

This module corresponds to section 2.13 (Current Raster Position) of the OpenGL 2.1 specs.

# Documentation

currentRasterPosition :: StateVar (Vertex4 GLfloat)

class RasterPosComponent a

Minimal complete definition

rasterPos2, rasterPos3, rasterPos4, rasterPos2v, rasterPos3v, rasterPos4v

Instances

RasterPosComponent GLshort |
RasterPosComponent GLint |
RasterPosComponent GLfloat |
RasterPosComponent GLdouble |

class RasterPos a where

Methods

rasterPos :: a -> IO ()

rasterPosv :: Ptr a -> IO ()

Instances

RasterPosComponent a => RasterPos (Vertex4 a) |
RasterPosComponent a => RasterPos (Vertex3 a) |
RasterPosComponent a => RasterPos (Vertex2 a) |

class WindowPosComponent a

Minimal complete definition

windowPos2, windowPos3, windowPos2v, windowPos3v

Instances

WindowPosComponent GLshort |
WindowPosComponent GLint |
WindowPosComponent GLfloat |
WindowPosComponent GLdouble |

class WindowPos a where

Methods

windowPos :: a -> IO ()

windowPosv :: Ptr a -> IO ()

Instances

WindowPosComponent a => WindowPos (Vertex3 a) |
WindowPosComponent a => WindowPos (Vertex2 a) |

currentRasterDistance :: GettableStateVar GLfloat

currentRasterColor :: GettableStateVar (Color4 GLfloat)

currentRasterSecondaryColor :: GettableStateVar (Color4 GLfloat)

currentRasterIndex :: GettableStateVar (Index1 GLint)

currentRasterTexCoords :: GettableStateVar (TexCoord4 GLfloat)

currentRasterPositionValid :: GettableStateVar Bool

rasterPositionUnclipped :: StateVar Capability